#include <bits/stdc++.h>
using namespace std;
#define ll long long
int main()
{
    ll n,m,x,y,zbir=0;
    cin>>n>>m;
    ll a[n];
    for(ll i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(ll i=0;i<m;i++)
    {
        cin>>x>>y;
        x=x-1;
        y=y-1;
        if(a[x]+a[y]<=0)
        {
            zbir=zbir-(a[x]+a[y]);
        }
        else{
            zbir+=(a[x]+a[y]);
        }
    }
    cout<<zbir;
}